Page MenuHomePhabricator

Regression: UBN! Languages feature broken on beta cluster
Closed, ResolvedPublic

Description

Regression caught by browser tests.

QA steps

Developer notes

Uncaught TypeError: Cannot read property 'call' of undefined
    at <anonymous>:1:228

can be seen in the console.

QA Results

StatusDetails
✅ PassedT215648#4946241

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2019, 7:15 PM
Jdlrobson triaged this task as Unbreak Now! priority.Feb 8 2019, 7:15 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptFeb 8 2019, 7:15 PM
Jdlrobson renamed this task from UBN! Languages feature broken on beta cluster to Regression: UBN! Languages feature broken on beta cluster.Feb 8 2019, 7:16 PM
Jdlrobson added a project: Regression.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

Change 489300 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/MobileFrontend@master] Fix: PageGateway TypeError in LanguageOverlay

https://gerrit.wikimedia.org/r/489300

Change 489301 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] Hygiene: move PageGateway import to top

https://gerrit.wikimedia.org/r/489301

Change 489300 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix: PageGateway TypeError in LanguageOverlay

https://gerrit.wikimedia.org/r/489300

Change 489301 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Hygiene: move PageGateway import to top

https://gerrit.wikimedia.org/r/489301

Jdforrester-WMF lowered the priority of this task from Unbreak Now! to High.Feb 9 2019, 11:49 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Dropping priority as the patch is now merged, so that it doesn't show up in alerts.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome DevTools Device Emulator (iPhone X)

Test Artifact(s):

When language overlay is tapped the overlay opens:

When it is dismissed or the language is selected, the overlay disappears:

Edtadros updated the task description. (Show Details)Feb 12 2019, 4:08 AM
Edtadros reassigned this task from Edtadros to ovasileva.
Edtadros added a subscriber: Edtadros.
ovasileva closed this task as Resolved.Feb 12 2019, 8:58 AM

looks good, resolving